curl --request GET \
--url https://www.postable.com/api/v1/groups/{groupId}/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.postable.com/api/v1/groups/{groupId}/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.postable.com/api/v1/groups/{groupId}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"first_name": "<string>",
"last_name": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"internal_id": "<string>",
"prefix": "<string>",
"middle_name": "<string>",
"company": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"address": "<string>",
"apt": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"spouse_prefix": "<string>",
"spouse_first_name": "<string>",
"spouse_middle_name": "<string>",
"spouse_last_name": "<string>",
"birth_month": 6,
"birth_day": 16,
"birth_year": 123,
"anniversary_month": 6,
"anniversary_day": 16,
"anniversary_year": 123,
"spouse_birth_month": 6,
"spouse_birth_day": 16,
"spouse_birth_year": 123,
"children": [
{
"first_name": "<string>",
"birth_month": 6,
"birth_day": 16,
"birth_year": 123
}
],
"pets": [
{
"name": "<string>",
"birth_month": 6,
"birth_day": 16,
"birth_year": 123,
"secondary_type": "<string>"
}
],
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]Get contacts in group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
List of contacts in group
First name of the contact
Last name of the contact
Unique identifier for the contact
Your internal identifier for this contact (e.g., customer ID from your system)
20Prefix/title (e.g., Mr., Mrs., Dr.)
Middle name of the contact
Company name
Email address
Phone number
Street address
Apartment, suite, or unit number
City
State or province
ZIP or postal code
Country
Spouse's prefix/title
Spouse's first name
Spouse's middle name
Spouse's last name
Birth month
1 <= x <= 12Birth day
1 <= x <= 31Birth year
Anniversary month
1 <= x <= 12Anniversary day
1 <= x <= 31Anniversary year
Spouse's birth month
1 <= x <= 12Spouse's birth day
1 <= x <= 31Spouse's birth year
List of children
Show child attributes
Show child attributes
List of pets
Show child attributes
Show child attributes
Additional notes about the contact
Creation timestamp in ISO-8601 format
Last update timestamp in ISO-8601 format